| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
GuidPrefix_t Struct Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

Structure GuidPrefix_t, Guid Prefix of GUID_t. More...

`#include <GuidPrefix_t.hpp>`

## Public Member Functions

| GuidPrefix_t ()
| Default constructor. Set the Guid prefix to 0.
bool | is_on_same_host_as (const GuidPrefix_t &other_guid_prefix) const
| Checks whether this guid prefix is from an entity on the same host as another guid prefix.
bool | is_from_this_host () const
| Checks whether this guid prefix is from a (Fast-DDS) entity created on this host (from where this method is called).
bool | is_on_same_process_as (const GuidPrefix_t &other_guid_prefix) const
| Checks whether this guid prefix is for an entity on the same host and process as another guid prefix.
bool | is_from_this_process () const
| Checks whether this guid prefix is from a (Fast-DDS) entity created on this host and process (from where this method is called).
bool | operator== (const GuidPrefix_t &prefix) const
| Guid prefix comparison operator.
bool | operator!= (const GuidPrefix_t &prefix) const
| Guid prefix comparison operator.
bool | operator< (const GuidPrefix_t &prefix) const
| Guid prefix minor operator.

## Static Public Member Functions

static GuidPrefix_t | unknown ()
static int | cmp (const GuidPrefix_t &prefix1, const GuidPrefix_t &prefix2)
| Guid Prefix compare static method.

## Public Attributes

octet | value [size]

## Static Public Attributes

static constexpr unsigned int | size = 12

## Detailed Description

Structure GuidPrefix_t, Guid Prefix of GUID_t.

## Constructor & Destructor Documentation

## ◆ GuidPrefix_t()

GuidPrefix_t | ( |  | ) |

inline

Default constructor. Set the Guid prefix to 0.

## Member Function Documentation

## ◆ cmp()

int cmp | ( | const GuidPrefix_t & | prefix1,
|  | const GuidPrefix_t & | prefix2 )

inline static

Guid Prefix compare static method.

Parameters

  prefix1 | First guid prefix to compare
  prefix2 | Second guid prefix to compare

Returns
  0 if `prefix1` is equal to `prefix2` .
  < 0 if `prefix1` is lower than `prefix2` .
  > 0 if `prefix1` is higher than `prefix2` .

## ◆ is_from_this_host()

bool is_from_this_host | ( |  | ) | const

Checks whether this guid prefix is from a (Fast-DDS) entity created on this host (from where this method is called).

Returns
  true when this guid prefix is from a (Fast-DDS) entity created on this host, false otherwise.

## ◆ is_from_this_process()

bool is_from_this_process | ( |  | ) | const

Checks whether this guid prefix is from a (Fast-DDS) entity created on this host and process (from where this method is called).

Returns
  true when this guid prefix is from a (Fast-DDS) entity created on this host and process, false otherwise.

## ◆ is_on_same_host_as()

bool is_on_same_host_as | ( | const GuidPrefix_t & | other_guid_prefix | ) | const

Checks whether this guid prefix is from an entity on the same host as another guid prefix.

Note
  This method assumes the value of `other_guid_prefix` was originally assigned by Fast-DDS vendor.

Parameters

  other_guid_prefix | GuidPrefix_t to compare to.

Returns
  true when this guid prefix is on the same host, false otherwise.

## ◆ is_on_same_process_as()

bool is_on_same_process_as | ( | const GuidPrefix_t & | other_guid_prefix | ) | const

Checks whether this guid prefix is for an entity on the same host and process as another guid prefix.

Note
  This method assumes the value of `other_guid_prefix` was originally assigned by Fast-DDS vendor.

Parameters

  other_guid_prefix | GuidPrefix_t to compare to.

Returns
  true when this guid prefix is on the same host and process, false otherwise.

## ◆ operator!=()

bool operator!= | ( | const GuidPrefix_t & | prefix | ) | const

inline

Guid prefix comparison operator.

Parameters

  prefix | Second guid prefix to compare

Returns
  True if the guid prefixes are not equal

## ◆ operator<()

bool operator< | ( | const GuidPrefix_t & | prefix | ) | const

inline

Guid prefix minor operator.

Parameters

  prefix | Second guid prefix to compare

Returns
  True if prefix is higher than this

## ◆ operator==()

bool operator== | ( | const GuidPrefix_t & | prefix | ) | const

inline

Guid prefix comparison operator.

Parameters

  prefix | guid prefix to compare

Returns
  True if the guid prefixes are equal

## ◆ unknown()

GuidPrefix_t unknown | ( |  | ) |

inline static

## Member Data Documentation

## ◆ size

unsigned int size = 12

static constexpr

## ◆ value

octet value[size]

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/GuidPrefix_t.hpp